Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Interface HasTypeParameters

All Known Subinterfaces:
  JAbstractMethod, JAnnotationMethod, JConstructor, JGenericType, JMethod

    public interface HasTypeParameters

Interface implemented by elements that can have can have type parameters, namely classes and methods.

Method Summary
`JTypeParameter[]` | `getTypeParameters()` Returns the type parameters on this element.

Method Detail

### getTypeParameters

    JTypeParameter[] getTypeParameters()

  Returns the type parameters on this element.

  Returns:
    the type parameters on this element, or zero-sized array if this element is not generic

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD